### Name: mancontr
### Title: Contrast Matrix Construction
### Aliases: mancontr mycontr
### Keywords: file

### ** Examples

data(pea)
trt.contr <- rbind("control-sugar"=c(1, -1/4, -1/4, -1/4, -1/4),
                   "pure-mixed"=c(0, 1/3, 1/3, -1, 1/3),
                   "monosaccharides-disaccharides"=c(0,1/2,1/2,0,-1),
                   "gluc-fruc"=c(0,1,-1,0,0))
model <- aov(length ~ trt,
             contrasts=list(trt=mancontr(contr=trt.contr)), data=pea)

### ALTERNATIVE formulations:
## contrasts in a list:
#   trt.contr <- list(c( 1, -1/4, -1/4, -1/4, -1/4),
#                     c(  0,  1/3,  1/3,   -1,  1/3),
#                     c(  0,  1/2,  1/2,   0,   -1),
#                     c(  0,    1,   -1,   0,    0))
## contrasts in a matrix 
#   trt.contr <- rbind(c( 1, -1/4, -1/4,-1/4, -1/4),
#                      c(  0,  1/3,  1/3,  -1,  1/3),
#                      c(  0,  1/2,  1/2,   0,   -1),
#                      c(  0,    1,   -1,   0,    0))
## names of contrasts in a list:
#  trt.contr.names=list("control-sugar", "pure-mixed",
#    "monosaccharides-disaccharides", "gluc-fruc")
## names of contrasts in a vector:
#   trt.contr.names=c("control-sugar", "pure-mixed",
# "monosaccharides-disaccharides", "gluc-fruc")
#model <- aov(length ~ trt,
#         contrasts=list(trt=mancontr(contr=trt.contr, contr.names=trt.contr.names)),
#         data=pea)



